package de.fraunhofer.iem.dataprovider.configuration

object ApiPaths {
    private const val BASE = "/api"

    const val GITLAB = "$BASE/gitlab"
    const val GITLAB_REPO_CHANGED = "$GITLAB/repoChanged"

    const val DEBUG = "$BASE/debug/metrics"
    const val DEBUG_LATEST_RUN = "$DEBUG/latestRuns/{platform}/{id}"
    const val DEBUG_RECALCULATE_KPIS = "$DEBUG/recalculateAllKPIs"

    const val KPI = "$BASE/kpi"
    const val KPI_ID = "$KPI/{id}"
    const val KPI_ROOT_REPOSITORY = "$KPI/root/repository/{id}"

    const val REPOSITORY = "$BASE/repository"
    const val REPOSITORY_ID = "$REPOSITORY/{id}"
}
